#!/bin/sh

############################################################################
#
#  Source Name : uninstall_su.sh
#  Option      : No option.
#  Result Code : 0    -> No errors occurred.
#
############################################################################

# dir
DSTDIR_NETAGENT="/opt/EIZO/ColorNavigator NetAgent"
DSTDIR_NETAGENT_DATA="/var/opt/EIZO/ColorNavigator NetAgent"
DSTDIR_DAEMON="/etc/systemd/system"


# files
SRC_NETAGENT_CONF=CNNetAgent.conf
SRC_NETAGENT_D=CNNetAgent.service



# 1.
CNids=(`ps axo pid -o comm | grep CNNetAgent | awk '{ print $1; }'`)
for cn in ${CNids[@]};
do
	kill -9 $cn
done

# 2.
rm /etc/ld.so.conf.d/${SRC_NETAGENT_CONF}
/sbin/ldconfig

# 3.
rm -rf "${DSTDIR_NETAGENT}"
echo "rm -rf ${DSTDIR_NETAGENT}"

# 4.
systemctl stop CNNetAgent
systemctl disable CNNetAgent
systemctl daemon-reload


# 5.
rm ${DSTDIR_DAEMON}/${SRC_NETAGENT_D}
echo "rm ${DSTDIR_DAEMON}/${SRC_NETAGENT_D}"

# 6.
rm -r "${DSTDIR_NETAGENT_DATA}/bin"
echo "rm -r ${DSTDIR_NETAGENT_DATA}/bin"

# 7.
rm "${DSTDIR_NETAGENT_DATA}/uninstall.sh"
echo "rm ${DSTDIR_NETAGENT_DATA}/uninstall.sh"

exit 0
